Skip to main content
`Ctrl`+`K`

# KSPGetMinimumIterations

Gets the minimum number of iterations to use, regardless of the tolerances, that was set with `KSPSetMinimumIterations()` or `-ksp_min_it`

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetMinimumIterations(KSP ksp, PetscInt *minit)

Not Collective

## Input Parameter

- ksp - the Krylov subspace context

## Output Parameter

- minit - minimum number of iterations to use

## See Also

KSP: Linear System Solvers, `KSPGetTolerances()`, `KSPConvergedDefault()`, `KSPSetConvergenceTest()`, `KSP`, `KSPSetTolerances()`, `KSPSetMinimumIterations()`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages